{
  "name": "member-administration-ui",
  "version": "0.0.12",
  "description": "Feuerwehr/Verein Mitgliederverwaltung UI",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/",
    "bnp": "npm run build-only && npm run preview",
    "generate-pwa-assets": "pwa-assets-generator --preset minimal-2023 public/CM.svg"
  },
  "repository": {
    "type": "git",
    "url": "https://forgejo.jk-effects.cloud/Ehrenamt/member-administration-ui.git"
  },
  "keywords": [
    "Feuerwehr"
  ],
  "author": "JK Effects",
  "license": "GPL-3.0-only",
  "dependencies": {
    "@fullcalendar/core": "^6.1.15",
    "@fullcalendar/daygrid": "^6.1.15",
    "@fullcalendar/interaction": "^6.1.15",
    "@fullcalendar/timegrid": "^6.1.15",
    "@fullcalendar/vue3": "^6.1.15",
    "@headlessui/vue": "^1.7.13",
    "@heroicons/vue": "^2.1.5",
    "@vueup/vue-quill": "^1.2.0",
    "axios": "^0.26.1",
    "event-source-polyfill": "^1.0.31",
    "grapesjs": "^0.22.4",
    "grapesjs-preset-newsletter": "^1.0.2",
    "jwt-decode": "^4.0.0",
    "lodash.clonedeep": "^4.5.0",
    "lodash.difference": "^4.5.0",
    "lodash.differencewith": "^4.5.0",
    "lodash.isequal": "^4.5.0",
    "nprogress": "^0.2.0",
    "pdf-dist": "^1.0.0",
    "pinia": "^2.3.0",
    "qrcode": "^1.5.3",
    "qs": "^6.11.2",
    "socket.io-client": "^4.5.0",
    "uuid": "^9.0.0",
    "vue": "^3.4.29",
    "vue-router": "^4.3.3"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/eslint": "~9.6.0",
    "@types/event-source-polyfill": "^1.0.5",
    "@types/lodash.clonedeep": "^4.5.9",
    "@types/lodash.difference": "^4.5.9",
    "@types/lodash.differencewith": "^4.5.9",
    "@types/lodash.isequal": "^4.5.8",
    "@types/node": "^20.14.5",
    "@types/nprogress": "^0.2.0",
    "@types/qrcode": "^1.5.5",
    "@types/qs": "^6.9.11",
    "@types/uuid": "^9.0.3",
    "@vite-pwa/assets-generator": "^0.2.2",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "npm-run-all2": "^6.2.0",
    "postcss": "^8.4.41",
    "prettier": "^3.2.5",
    "tailwindcss": "^3.4.10",
    "typescript": "~5.4.0",
    "vite": "^5.3.1",
    "vite-plugin-pwa": "^0.17.4",
    "vite-plugin-vue-devtools": "^7.6.8",
    "vue-tsc": "^2.0.21"
  }
}
